/*****************************
GENERAL
*/

body {
  margin: 0;
  color: #565656;
  font-family: Arial, Helvetica, sans-serif;
  background-color: #efefef;
  font-family: 'Sintony', sans-serif;
  margin: 0px;
}

footer {
  padding: 2px;
  text-align: center;
  font-size: 0.7em;
}

footer img {
  max-width: 100%;
}

@media (max-width: 768px) {
  footer img {
    max-width: 45%;
  }
}

a {
  /*color: #565656; */
  color: #565699;
}

a.active {
  color: #000000;
}

a:hover {
  color: #76323f;
}

table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
  align-self: center;
  overflow-x: auto;
  max-width: calc(100% - 40px);
  margin: 20px auto;
}

th {
  padding: 8px;
}

td,
th {
  border: 1px solid #000000;
  text-align: center;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

#content {
  max-width: calc(100% - 120px);
  margin: 20px auto;
  background-color: #ffffff;
  padding: 40px;
}

@media screen and (max-width: 768px) {
  #content {
    max-width: calc(100% - 20px);
    margin: 20px auto;
    background-color: #ffffff;
    padding: 10px;
  }
}

#content::after {
  content: "";
  display: table;
  clear: both;
}


.small {
  font-size: 0.8em;
}

.grey {
  color: #888888;
}

/*****************************
MENU
*/
.topnav {
  overflow: hidden;
  background-color: #ffffff;
  vertical-align: middle;
  text-align: right;
  padding-bottom: 15px;
  padding-right: 16px;
  /* added this to make the text not stick to the right side of the window */
  top: 0px;
}

/* LOGO */
.topnav img {
  float: left;
  width: 200px;
}

.topnav {
  text-decoration: none;
  font-size: 18px;
}

.topnav a:not(:first-child) {
  display: inline-block;
  padding: 14px 16px;
  margin-top: 30px;
  text-decoration: none;
}


.topnav a.icon {
  float: right;
  display: none;
}

.topnav .btn-inscription {
  background-color: #DE7600;
  color: white;
  padding: 0.5em;
  border-radius: 0.5em;
  text-align: center;
}

@media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {
    display: none;
  }

  .topnav a.icon {
    display: block;
  }

  .topnav.responsive {
    position: relative;
  }

  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }

  .topnav.responsive img {
    display: block;
    float: none;
  }

  .topnav.responsive a:not(:first-child) {
    display: block;
    padding: 8px 15px;
    margin-top: 0px;
  }

  .flottant-droit {
    display: block;
  }

  .flottant-droit img {
    width: 65vw;
    float: inline-block;

  }

  .pretix-widget-wrapper {
    width: 65vw;
    /* margin: 0 auto; */
    margin: 15px;
    padding: 0px;
  }
}


/* Menu déroulant des années passées.
 * Fortement inspiré de : https://www.pierre-giraud.com/html-css-apprendre-coder-cours/creation-menu-deroulant/ 
 */
.dropdown {
  display: inline-block;
}

.dropdown-child {
  display: none;
  list-style-type: none;
  box-shadow: 0px 1px 2px #CCCCCC;
  background-color: #F0F0F0;
  position: absolute;
  width: 100%;
  z-index: 1000;
  padding-top: 0px;
  margin-top: 0px;
}


.dropdown:hover .dropdown-child {
  display: block;
}


.dropdown-title {
  color: #565699;
}

.dropdown-title:hover {
  color: #ffbd00;
  border-bottom: 2px solid #ffbd00;
}

.dropdown-child li {
  float: none;
  width: 100%;
  text-align: left;
}





/*****************************
HOME
*/
#page-1 {
  background-color: #eeffff;
}

#page-2 {
  background-color: #eeffff;
}

#page-3 {
  background-color: #ffeeff;
}

#page-1,
#page-2,
#page-3 {
  font-size: 3em;
}

@media screen and (max-width: 600px) {

  #page-1,
  #page-2,
  #page-3 {
    font-size: 25px;
  }
}

/* SCROLLING*/
scroll-container {
  margin: 0 auto;
  text-align: center;
  display: block;
  width: 100%;
  height: auto;
  /* overflow-y: scroll; */
  scroll-behavior: smooth;
}

scroll-page {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}



/*****************************
INFOS
*/
/*** Sous menu
#list_info li{
  display: inline;
  text-align: center;
  font-size: 17px;
  padding:  5px;
}
li { border-right: 1px solid #000000; }
li:last-child { border-right: none;}
*/

/* Couleur d'origine, mais avec trop peu de contraste 
 * 
 * color: #ffbd00; 
   background-color: #efefef;
 * */
h1 {
  font-variant: small-caps;
  text-align: center;
  color: #DE7600;
  background-color: #ffffff;
}

h2 {
  font-variant: small-caps;
  color: #DE7600;
  background-color: #ffffff;
}

h3 {
  font-variant: small-caps;
  color: #DE7600;
  background-color: #ffffff;
  font-style: italic;
}

@media screen and (min-width: 900px) {
  h1 {
    font-size: 400%;
  }

  h2 {
    font-size: 200%;
  }

  h3 {
    font-size: 150%;
  }
}

@media screen and (max-width: 900px) {
  h1 {
    font-size: 200%;
  }

  h2 {
    font-size: 150%;
  }

  h3 {
    font-size: 120%;
  }
}

/* ADRESS */
.address {
  display: flex;
}

/* MAP */
#my_osm_widget_map {
  width: 70%;
  height: auto;
  border-radius: 5px;
  margin-left: 25%;
  border: solid;
}




.extremums {
  background-color: #006080;
}

.empty {
  background-color: #bbbbbb;
}

.talk {
  background-color: #F5F5D0;
  color: #000000;
}

.atelier {
  /*  background-color: #c09f80;*/
  background-color: #f3e631;
  color: #000000;
}

.install {
  background-color: #f26b84;
  color: #ffffff;
}

.install a {
  color: #F0F0FF;
}

.install a:hover {
  color: #00006F;
}


.certif {
  background-color: #fff7c0;
}

.forum {
  background-color: #77DEFF;
  /*    background-color: #008f95 */
}

.radio {
  background-color: #c6242f;
  color: #ffffff;
}

.radio a {
  color: #F0F0FF;
}

.radio a:hover {
  color: #00006F;
}

.game {
  /*
  background-color: #3abe02fc;
  background-color: #2aae00;
*/
  background-color: #6aCe32;
  color: #404040;
}

.row-content {
  padding: 8px;
}

.row-detail {
  /*  display: none; */
  margin: 0 auto;

  max-width: 350px;

  font-size: 13px;
}

.row-title {
  font-weight: bold;
}

.row-content:hover .row-detail {
  display: block;
}

.centered {
  text-align: center;
}

@media screen and (min-width: 600px) {
  .flottant-droit {
    float: right;
    margin-left: 15px;
    /* Espace entre l'image et le texte */
  }

  .pretix-widget-wrapper {
    width: 400px;
    /* margin: 0 auto; */
    margin: -3em 15px 15px 15px;
    padding: 0px;
  }
}

.flottant-droit {
  margin-bottom: 15px;
  /* Espace en bas si nécessaire */
  text-align: center;
  /* Centrer le texte sous l'image */
}


.emphase {
  font-weight: bold;
}


img {
  vertical-align: middle;
}

footer img {
  height: 100px;
  margin-bottom: 25px;
}

.row-content a {
  color: #4646FF;
}

.row-content a.active {
  color: #4646FF;
}

.row-content a:hover {
  color: #76323f;
}

.bluea {
  color: #4646FF;
}


.espace-bottom {
  margin-bottom: 10px;
}


/** Années passées **/

.memoryTitle {
  font-size: 150%;
  color: #ff8080;
  background-color: #ffffff;
  vertical-align: middle;
  text-align: center;
}



:root {
  --row-unit: 12rem; 
}


.table-scroll {
  position: relative;
  margin: auto;
  max-width: 100%;
}


.headers {
  width: 100%;
  top: 0;
  position: -webkit-sticky;
  position: sticky;
  z-index: 1;
}

.table-header, .tracks {
  overflow: auto;
  display: flex;
}

.entry-title {
  font-size: 0.8rem;
  font-weight: 900;
}

.entry-intervenants {
  font-size: 0.7rem;
  font-style: italic;
}


.track + .track {
  margin-left: -1px;
}


.track {
  flex: 1 0 calc(10% - 10px);
  scroll-snap-align: start;
}



@media (max-width: 1650px) {
  .track { flex: 1 0 15%; }
  :root { --row-unit: 10rem; }
}

@media (max-width: 1300px) {
  .track { flex: 1 0 25%; }
  :root { --row-unit: 9rem; }
}

@media (max-width: 980px) {
  .track { flex: 1 0 33%; }
  :root { --row-unit: 8.5rem; }
}

@media (max-width: 780px) {
  .track { flex: 1 0 50%; } 
  :root { --row-unit: 9rem; } 
}


.heading {
  height: calc(var(--row-unit)/2);
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  border: solid #fff;
  border-width: 0 1px;
  z-index: 2;
  background: #efefef;
  font-weight: 700;
}

.entry {
  font-size: 0.8em;
  border: 1px solid white;
  border-top: 0;
  background: #fff;
  height: var(--row-unit);
  padding: 1em;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.entry-heading {
  border: solid 1px #fff;
  z-index: 2;
  background: #efefef;
  font-weight: 700;
  font-size: 1em;
  padding: 0em;
  box-sizing: border-box;
}

.entry-pause {
  background-color: #e2ffd7;;
}

.entry-conf {
  background-color: #f6f9d4;
}

.entry-atelier {
  background-color: #ffd7d7;
}

.entry-demo {
  background-color: #f6d7ff;
}

.entry-activite {
  background-color: #dee6ef;
}

.entry-village {
  background-color: #deefed;
}

.entry-end {
  background-color: #bbbbbb;
}

.entry-activite span,
.entry-village span {
  font-size: 2em;
  font-weight: 900;
}

.row-1 { height: var(--row-unit); }
.row-2 { height: calc(var(--row-unit) * 2); }
.row-3 { height: calc(var(--row-unit) * 3); }
.row-4 { height: calc(var(--row-unit) * 4); }
.row-5 { height: calc(var(--row-unit) * 5); }
.row-10 { height: calc(var(--row-unit) * 10); }


.row-full {
  height: 100%;
}






.tracks > .track:first-child,
.headers .track:first-child {
  top: 0;
  left: 0;
  position: -webkit-sticky;
  position: sticky;
}


.headers .track:first-child,
.headers .track:first-child .heading {
  z-index: 3;
}

.session-details-title {
  font-variant: small-caps;
  color: #DE7600;
  background-color: #ffffff;
  font-size: 1.5em;
}

.session-details {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}
